# wso2wsf::OMNamespace Class Reference
[OM Namespace]

class OMNamespace Defines the base class used to represent namespaces in the Axis Object Model. Namespaces are typically composed of a prefix and URI pair which identifies the particular occurrence. This class provides an abstraction to namespace associated with the XML model. More...

`#include <OMNamespace.h>`

List of all members.

## Public Member Functions
axiom_namespace_t * | getAxiomNamespace ()
void | setAxiomNamespace (axiom_namespace_t *ns)
WSF_EXTERN | OMNamespace (std::string uri)
WSF_EXTERN | OMNamespace (std::string uri, std::string prefix)
WSF_EXTERN | OMNamespace (axiom_namespace_t *ns)
WSF_EXTERN | OMNamespace (OMNamespace &om_namespace)
virtual | ~OMNamespace ()
WSF_EXTERN bool | equals (OMNamespace *ns)
WSF_EXTERN std::string | getURI ()
WSF_EXTERN std::string | getPrefix ()
virtual WSF_EXTERN std::string | toString ()
WSF_EXTERN int | incrementRef ()
WSF_EXTERN int | decrementRef ()
## Friends
WSF_EXTERN std::ostream & | operator<< (std::ostream &str, OMNamespace const &ns)
WSF_EXTERN std::ostream & | operator<< (std::ostream &str, OMNamespace const *ns)

## Detailed Description

class OMNamespace Defines the base class used to represent namespaces in the Axis Object Model. Namespaces are typically composed of a prefix and URI pair which identifies the particular occurrence. This class provides an abstraction to namespace associated with the XML model.

## Constructor & Destructor Documentation

WSF_EXTERN wso2wsf::OMNamespace::OMNamespace | ( | std::string | uri | ) |

Creates a namespace struct.

Parameters:

  | uri | namespace URI.

WSF_EXTERN wso2wsf::OMNamespace::OMNamespace | ( | std::string | uri,
|  | std::string | prefix |
| ) |  |  |

Creates a OMNamespace instance from a uri and a prefix value

Parameters:

  | uri | namespace URI.
  | prefix | namespace prefix.

WSF_EXTERN wso2wsf::OMNamespace::OMNamespace | ( | axiom_namespace_t * | ns | ) |

Creates an OMNamespace instance from an axiom_namespace_t

Parameters:

  | ns | Pointer to an axiom_namespace

Returns:
  an OMNamespace

WSF_EXTERN wso2wsf::OMNamespace::OMNamespace | ( | OMNamespace & | om_namespace | ) |

Copy Constructor.

Parameters:

  | om_namespace | namespace to be cloned.

virtual wso2wsf::OMNamespace::~OMNamespace | ( |  | ) | `[virtual]`

destructor that frees resources.

## Member Function Documentation

WSF_EXTERN int wso2wsf::OMNamespace::decrementRef | ( |  | ) |

Decrement the ref counter by one

Returns:
  the current reference counter

WSF_EXTERN bool wso2wsf::OMNamespace::equals | ( | OMNamespace * | ns | ) |

Compares two namespaces.

Parameters:

  | ns | namespace to be compared.

Returns:
  true if the two namespaces are equal, false otherwise.

axiom_namespace_t* wso2wsf::OMNamespace::getAxiomNamespace | ( |  | ) |

Method to get the reference to the axiom_namespace struct.

Returns:
  reference to the axiom_namespace struct.

WSF_EXTERN std::string wso2wsf::OMNamespace::getPrefix | ( |  | ) |

Method to obtain prefix.

Returns:
  prefix, NULL on error.

WSF_EXTERN std::string wso2wsf::OMNamespace::getURI | ( |  | ) |

Method to obtain URI.

Returns:
  namespace uri, NULL on error.

WSF_EXTERN int wso2wsf::OMNamespace::incrementRef | ( |  | ) |

Increment the ref counter by one

Returns:
  the current ref count

void wso2wsf::OMNamespace::setAxiomNamespace | ( | axiom_namespace_t * | ns | ) |

Method to set the reference to the axiom_namespace struct.

Parameters:

  | ns | reference to the axiom_namespace struct.

virtual WSF_EXTERN std::string wso2wsf::OMNamespace::toString | ( |  | ) | `[virtual]`

Converts this namespace to a string.

Returns:
  converted namespace as string.

## Friends And Related Function Documentation

WSF_EXTERN std::ostream& operator<< | ( | std::ostream & | str,
|  | OMNamespace const * | ns |
| ) |  |  | `[friend]`

Overloaded insertion operator, is used for printing the namespace onto a console.

Parameters:

  | str | existing stream.
  | ns | OMNamespace object.

Returns:
  a modified output stream is returned.

WSF_EXTERN std::ostream& operator<< | ( | std::ostream & | str,
|  | OMNamespace const & | ns |
| ) |  |  | `[friend]`

Overloaded insertion operator, is used for printing the namespace onto a console.

Parameters:

  | str | existing stream.
  | ns | OMNamespace object.

Returns:
  a modified output stream is returned.

The documentation for this class was generated from the following file:

- OMNamespace.h